Skip to content

Find-or-creates the (suite, subject) baseline and points it at run_ref, recording the previous run_ref in the self-audit.

POST
/v1/m/evals/baselines
curl --request POST \
--url https://example.com/v1/m/evals/baselines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "run_ref": "example", "subject_ref": "example", "suite_ref": "example" }'

Find-or-creates the (suite, subject) baseline and points it at run_ref, recording the previous run_ref in the self-audit.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
run_ref
required
string
>= 1 characters
subject_ref
string
suite_ref
required
string
>= 1 characters
Example generated
{
"run_ref": "example",
"subject_ref": "example",
"suite_ref": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}